require_relative 'lib/app_rail/airtable/version'

Gem::Specification.new do |spec|
  spec.name          = "app_rail-airtable"
  spec.version       = AppRail::Airtable::VERSION
  spec.authors       = ["Matt Brooke-Smith"]
  spec.email         = ["matt@futureworkshops.com"]

  spec.summary       = %q{Gem to help building App Rail servers using Airtable as a backend}
  spec.homepage      = "https://github.com/FutureWorkshops/app_rail-airtable"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/FutureWorkshops/app_rail-airtable"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  
  spec.bindir = 'bin'
  spec.executables << 'ara_generator'
  
  spec.require_paths = ["lib"]
  spec.add_dependency 'activesupport'
  spec.add_dependency 'sinatra'
  spec.add_dependency 'airrecord'
  spec.add_dependency 'faraday', '~> 2.2'
  spec.add_dependency 'faraday-net_http_persistent', '~> 2.0' # workaround to make Faraday work after upgrading to 2.2.0
  spec.add_dependency 'thor'
  spec.add_dependency 'bcrypt'
  
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rack-test'
end